//--------------------------------------------------------------------------------------------
//UTCSUD-SHADER-FILE (c) Matth ,2015
//--------------------------------------------------------------------------------------------
textures/atcs_2015/atcs_2015_earth
{
	nopicmip
	{
		map textures/atcs_2015/atcs_2015_earth.jpg
		blendFunc add 
	}
}
textures/atcs_2015/atcs_2015_moon
{
	nopicmip
	{
		map textures/atcs_2015/atcs_2015_moon.jpg
		blendFunc add
	}
}
textures/atcs_2015/atcs_2015_komet_2
{
	nopicmip
	{
		map textures/atcs_2015/atcs_2015_komet_2.jpg
		blendFunc add
	}

}
textures/atcs_2015/atcs_2015_komet_1
{
	nopicmip
	{
		map textures/atcs_2015/atcs_2015_komet_1.jpg
		blendFunc add
	}
}
textures/atcs_2015/atcs_2015_komet_3
{
	nopicmip
	{
		map textures/atcs_2015/atcs_2015_komet_3.jpg
		blendFunc add
	}
}
textures/atcs_2015/atcs2015_sterne
{
	{
		map textures/atcs_2015/atcs2015_sterne.jpg
	    blendfunc add
		tcMod scroll 0.013 0.012
		tcMod scale 1.0 1.0
	}
	{
		map textures/atcs_2015/atcs2015_sterne.jpg
		blendfunc add
		tcMod scroll -0.007 -0.008
		tcMod scale 0.5 0.5
	}
}
textures/atcs_2015/atcs2015_steam
{
  	sort additive
	cull disable
    entityMergable
  {
    map textures/atcs_2015/atcs2015_steam
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	rgbGen const ( 0.47 0.61 0.81 )
  }
}
textures/atcs_2015/atcs2015_flare
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	deformVertexes autoSprite
	cull disable
	{
		map textures/atcs_2015/atcs2015_flare.png
		blendfunc GL_ONE GL_ONE
	}
}
textures/atcs_2015/atcs2015_metal_blue
{
	{
        map textures/atcs_2015/atcs2015_metal_blue.jpg
    }
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
		depthFunc equal
	}
	{
		map textures/atcs_2015/atcs2015_metal_blue_add.jpg
		blendFunc add
		rgbGen wave sin 0.5 0.5 0 0.25
	}
}
textures/atcs_2015/atcs2015_metal_red
{
	{
        map textures/atcs_2015/atcs2015_metal_red.jpg
    }
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
		depthFunc equal
	}
	{
		map textures/atcs_2015/atcs2015_metal_red_add.jpg
		blendFunc add
		rgbGen wave sin 0.5 0.5 0 0.25
	}
}
textures/atcs_2015/atcs2015_blueblink
{
	{
		map textures/atcs_2015/atcs2015_blueblink.jpg
        blendFunc add
		rgbGen wave sin 0.5 0.5 0 0.25
	}
}
textures/atcs_2015/atcs2015_redblink
{
	{
		map textures/atcs_2015/atcs2015_redblink.jpg
        blendFunc add
		rgbGen wave sin 0.5 0.5 0 0.25
	}
}
textures/atcs_2015/atcs2015_light_blue
{
	{
        map textures/atcs_2015/atcs2015_light_blue.jpg
    }
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
		depthFunc equal
	}
	{
		map textures/atcs_2015/atcs2015_light_blue_add.jpg
		blendFunc add
	}
}
textures/atcs_2015/atcs2015_light_red
{
	{
        map textures/atcs_2015/atcs2015_light_red.jpg
    }
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
		depthFunc equal
	}
	{
		map textures/atcs_2015/atcs2015_light_red_add.jpg
		blendFunc add
	}
}
textures/atcs_2015/atcs2015_light_forcefield
{
	{
        map textures/atcs_2015/atcs2015_light_forcefield.jpg
    }
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
		depthFunc equal
	}
	{
		map textures/atcs_2015/atcs2015_light_forcefield_add.jpg
		blendFunc add
	}
}
textures/atcs_2015/atcs2015_light_quad
{
	{
        map textures/atcs_2015/atcs2015_light_quad.jpg
    }
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
		depthFunc equal
	}
	{
		map textures/atcs_2015/atcs2015_light_quad_add.jpg
		blendFunc add
	}
}
textures/atcs_2015/atcs2015_humanbase
{  
	surfaceparm nomarks
	nopicmip
	polygonoffset
	{
		map textures/atcs_2015/atcs2015_humanbase.jpg
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
	}
}
textures/atcs_2015/atcs2015_alienbase
{  
	surfaceparm nomarks
	nopicmip
	polygonoffset
	{
		map textures/atcs_2015/atcs2015_alienbase.jpg
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
	}
}
textures/atcs_2015/atcs2015_decal3
{  
	surfaceparm nomarks
	surfaceparm nonsolid
	nopicmip
	polygonoffset
	{
		map textures/atcs_2015/atcs2015_decal3.jpg
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
	}
}
textures/atcs_2015/atcs2015_decal4
{  
	surfaceparm nomarks
	surfaceparm nonsolid
	nopicmip
	polygonoffset
	{
		map textures/atcs_2015/atcs2015_decal4.jpg
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
	}
}
textures/atcs_2015/atcs2015_decal2
{  
	surfaceparm nomarks
	surfaceparm nonsolid
	nopicmip
	polygonoffset
	{
		map textures/atcs_2015/atcs2015_decal2.jpg
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
	}
}
textures/atcs_2015/atcs2015_decal1
{  
	surfaceparm nomarks
	surfaceparm nonsolid
	nopicmip
	polygonoffset
	{
		map textures/atcs_2015/atcs2015_decal1.jpg
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
	}
}
textures/atcs_2015/atcs2015_skybox_nosun
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	skyparms env/atcs_2015/atcs - -
}
textures/atcs_2015/atcs2015_skybox
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	skyparms env/atcs_2015/atcs - -
}
textures/atcs_2015/atcs2015_forcefield
{	
    surfaceparm nomarks	
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull none
	{
    map textures/atcs_2015/atcs2015_forcefield.jpg
    tcMod Scroll 0.03 0
    blendFunc GL_ONE GL_ONE
	}
	{
    map textures/atcs_2015/atcs2015_forcefield.jpg
    tcMod Scroll -0.03 0
    blendFunc GL_ONE GL_ONE
	}
}
textures/atcs_2015/atcs2015_ad
{      
	surfaceparm nobuild
	surfaceparm noimpact	
	surfaceparm nomarks
	surfaceparm slick
	surfaceparm nonsolid
	{
        map textures/atcs_2015/atcs2015_ad.jpg
		blendFunc add
	}
	{
        map textures/atcs_2015/atcs2015_ad_lines.jpg
        blendFunc GL_DST_COLOR GL_ONE
        tcmod scale 8.25 8.25
        tcmod scroll .060 .060
    }
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
		depthFunc equal
	}
}


////////////////////////////////////////////////////////////////////////////////
//the following shaders are based on vega-model shaders by ingar, edited by Matth - 2015
models/mapobjects/vega/box/box02
{
	cull none
	polygonOffset
	{
	map models/mapobjects/vega/box/box01.jpg
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
		depthFunc equal
	}
}
models/mapobjects/vega/console/console_screens
{
	{
		map models/mapobjects/vega/console/console_screens
	}
	{
		blendfunc filter
		map models/mapobjects/vega/console/console_waveform
		tcmod scroll -0.5 0.0
	}
}
models/mapobjects/vega/ceilinglight/ceilinglight2
{
	{
        map models/mapobjects/vega/ceilinglight/ceilinglight2_d
    }
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
		depthFunc equal
	}
	{
		map models/mapobjects/vega/ceilinglight/ceilinglight2_a
		blendFunc add
	}
}